	.text
	.hidden	__log_data
	.globl	__log_data
	.section	.rodata
	.align 32
	.type	__log_data, @object
	.size	__log_data, 4240
__log_data:
	.long	4277811200
	.long	1072049730
	.long	2479318832
	.long	1026487127
	.long	1
	.long	-1075838976
	.long	1431384155
	.long	1070945621
	.long	4293608848
	.long	-1076887553
	.long	619774225
	.long	1070176691
	.long	3842427039
	.long	-1077586571
	.long	0
	.long	-1075838976
	.long	1431655799
	.long	1070945621
	.long	4294966731
	.long	-1076887553
	.long	2576735500
	.long	1070176665
	.long	1432831399
	.long	-1077586603
	.long	2739199536
	.long	1069697316
	.long	2755804517
	.long	-1077936129
	.long	673896138
	.long	1069314436
	.long	1135634687
	.long	-1078355477
	.long	4155494533
	.long	1068990850
	.long	1976649165
	.long	-1078636013
	.long	3286294175
	.long	1073165552
	.long	2045153280
	.long	-1076376449
	.long	1781328159
	.long	1073156984
	.long	3255631872
	.long	-1076400146
	.long	150648224
	.long	1073148512
	.long	324132864
	.long	-1076423709
	.long	521374845
	.long	1073140134
	.long	942176256
	.long	-1076447141
	.long	197506257
	.long	1073131849
	.long	2424338432
	.long	-1076470443
	.long	858721466
	.long	1073123655
	.long	1981284352
	.long	-1076493616
	.long	404898339
	.long	1073115551
	.long	2257620992
	.long	-1076516662
	.long	2577735385
	.long	1073107535
	.long	1443057664
	.long	-1076539581
	.long	2861507780
	.long	1073099606
	.long	3278585856
	.long	-1076562377
	.long	1805507604
	.long	1073091763
	.long	4255666176
	.long	-1076585049
	.long	1388731468
	.long	1073084004
	.long	965322752
	.long	-1076607598
	.long	3046190159
	.long	1073076327
	.long	967882752
	.long	-1076630028
	.long	3411775710
	.long	1073068732
	.long	1150251008
	.long	-1076652338
	.long	4074314360
	.long	1073061217
	.long	398303232
	.long	-1076674530
	.long	306599559
	.long	1073053782
	.long	4014374912
	.long	-1076696606
	.long	3471272915
	.long	1073046423
	.long	942727168
	.long	-1076718565
	.long	3802627987
	.long	1073039141
	.long	2363131904
	.long	-1076740411
	.long	1107707267
	.long	1073031935
	.long	690458624
	.long	-1076762143
	.long	3685924319
	.long	1073024802
	.long	726202368
	.long	-1076783763
	.long	1194647255
	.long	1073017743
	.long	2595878912
	.long	-1076805273
	.long	3487443008
	.long	1073010755
	.long	2498729984
	.long	-1076826672
	.long	3229131720
	.long	1073003838
	.long	417009664
	.long	-1076847963
	.long	3286246794
	.long	1072996991
	.long	1382266880
	.long	-1076869146
	.long	617907252
	.long	1072990213
	.long	1166471168
	.long	-1076892894
	.long	454634763
	.long	1072983502
	.long	1964486656
	.long	-1076934838
	.long	3543734356
	.long	1072976857
	.long	1024471040
	.long	-1076976572
	.long	1152681050
	.long	1072970279
	.long	1156165632
	.long	-1077018099
	.long	1091959035
	.long	1072963765
	.long	695726080
	.long	-1077059422
	.long	3661558961
	.long	1072957314
	.long	76910592
	.long	-1077100543
	.long	1566047887
	.long	1072950927
	.long	1451823104
	.long	-1077141463
	.long	2685095145
	.long	1072944601
	.long	2374045696
	.long	-1077182185
	.long	3222323499
	.long	1072938336
	.long	3436433408
	.long	-1077222711
	.long	729143992
	.long	1072932132
	.long	772968448
	.long	-1077263040
	.long	3449802754
	.long	1072925986
	.long	1746792448
	.long	-1077303177
	.long	3313793564
	.long	1072919899
	.long	1766338560
	.long	-1077343123
	.long	1236088546
	.long	1072913870
	.long	2789588992
	.long	-1077382880
	.long	2555237440
	.long	1072907897
	.long	3021221888
	.long	-1077422449
	.long	3472870180
	.long	1072901980
	.long	1013084160
	.long	-1077461832
	.long	1973488969
	.long	1072896119
	.long	2604097536
	.long	-1077501030
	.long	926824848
	.long	1072890312
	.long	1421320192
	.long	-1077540047
	.long	3147167809
	.long	1072884558
	.long	1982083072
	.long	-1077578883
	.long	35236305
	.long	1072878858
	.long	2411868160
	.long	-1077617541
	.long	2830630186
	.long	1072873209
	.long	1372717056
	.long	-1077656020
	.long	2047613867
	.long	1072867612
	.long	3162701824
	.long	-1077694326
	.long	1611969840
	.long	1072862066
	.long	1799946240
	.long	-1077732455
	.long	1465360885
	.long	1072856570
	.long	2426683392
	.long	-1077770412
	.long	2602384319
	.long	1072851123
	.long	4168720384
	.long	-1077808199
	.long	2207249853
	.long	1072845725
	.long	623681536
	.long	-1077845816
	.long	2865301563
	.long	1072840375
	.long	1475813376
	.long	-1077883265
	.long	732512438
	.long	1072835073
	.long	1241423872
	.long	-1077920548
	.long	2529968434
	.long	1072829817
	.long	3159064576
	.long	-1077979203
	.long	500366491
	.long	1072824608
	.long	2520793088
	.long	-1078053112
	.long	1229801483
	.long	1072819444
	.long	1056522240
	.long	-1078126696
	.long	1385129321
	.long	1072814325
	.long	1322819584
	.long	-1078199961
	.long	290946684
	.long	1072809251
	.long	539975680
	.long	-1078272903
	.long	1959470825
	.long	1072804220
	.long	3878191104
	.long	-1078345533
	.long	204217014
	.long	1072799233
	.long	3010641920
	.long	-1078417850
	.long	2075553981
	.long	1072794288
	.long	3014393856
	.long	-1078489855
	.long	636468406
	.long	1072789386
	.long	1161297920
	.long	-1078561551
	.long	894185946
	.long	1072784525
	.long	1837596672
	.long	-1078632946
	.long	2418499549
	.long	1072779705
	.long	3735150592
	.long	-1078704036
	.long	2754794060
	.long	1072774926
	.long	1298833408
	.long	-1078774823
	.long	1913715162
	.long	1072770187
	.long	4173684736
	.long	-1078845319
	.long	686601521
	.long	1072765488
	.long	2556567552
	.long	-1078915514
	.long	3666097327
	.long	1072760827
	.long	1792147456
	.long	-1078986132
	.long	256797619
	.long	1072756206
	.long	1249329152
	.long	-1079125363
	.long	1563074510
	.long	1072751622
	.long	3833921536
	.long	-1079264020
	.long	1663870241
	.long	1072747076
	.long	1074970624
	.long	-1079402103
	.long	2095224858
	.long	1072742567
	.long	855818240
	.long	-1079539624
	.long	2210805457
	.long	1072738095
	.long	1742110720
	.long	-1079676578
	.long	2560627513
	.long	1072733659
	.long	1231388672
	.long	-1079812982
	.long	2941446111
	.long	1072729259
	.long	1679114240
	.long	-1079948829
	.long	793651451
	.long	1072724895
	.long	2196471808
	.long	-1080134976
	.long	2352320281
	.long	1072720565
	.long	1381138432
	.long	-1080404495
	.long	2783770924
	.long	1072716270
	.long	3481370624
	.long	-1080672926
	.long	3453037712
	.long	1072712009
	.long	2359951360
	.long	-1080940293
	.long	3337661865
	.long	1072707782
	.long	553189376
	.long	-1081331333
	.long	326709929
	.long	1072703589
	.long	1571422208
	.long	-1081861835
	.long	669676360
	.long	1072699428
	.long	3270246400
	.long	-1082650109
	.long	102019477
	.long	1072695300
	.long	2032402432
	.long	-1084226551
	.long	4146526746
	.long	1072685087
	.long	2224029696
	.long	1064300531
	.long	3261196916
	.long	1072668956
	.long	893190144
	.long	1065868353
	.long	2961283374
	.long	1072653072
	.long	3301081088
	.long	1066651299
	.long	1022275021
	.long	1072637430
	.long	344522752
	.long	1067163585
	.long	59839463
	.long	1072622024
	.long	3457220608
	.long	1067561176
	.long	2026615211
	.long	1072606848
	.long	3489775616
	.long	1067813467
	.long	2728201371
	.long	1072591898
	.long	1087930368
	.long	1068063875
	.long	2198510005
	.long	1072577169
	.long	4015489024
	.long	1068312426
	.long	157325910
	.long	1072562656
	.long	3851993088
	.long	1068529048
	.long	3849829272
	.long	1072548353
	.long	3809288192
	.long	1068651509
	.long	192712963
	.long	1072534258
	.long	2335703040
	.long	1068773085
	.long	1727749326
	.long	1072520364
	.long	2270674944
	.long	1068893785
	.long	2858344093
	.long	1072506668
	.long	896139264
	.long	1069013622
	.long	1047211213
	.long	1072493166
	.long	1310482432
	.long	1069132611
	.long	2728884482
	.long	1072479853
	.long	3138215936
	.long	1069250759
	.long	1832323181
	.long	1072466726
	.long	854007808
	.long	1069368083
	.long	3177011204
	.long	1072453780
	.long	1910398976
	.long	1069484593
	.long	867934092
	.long	1072441013
	.long	730939392
	.long	1069573909
	.long	4008503103
	.long	1072428419
	.long	2190651392
	.long	1069631365
	.long	1977325249
	.long	1072415997
	.long	3452579840
	.long	1069688430
	.long	210127400
	.long	1072403742
	.long	2797948928
	.long	1069745111
	.long	3320790572
	.long	1072391650
	.long	1009979392
	.long	1069801411
	.long	1741260939
	.long	1072379720
	.long	1803190272
	.long	1069857334
	.long	555561034
	.long	1072367947
	.long	684847104
	.long	1069912889
	.long	2247290750
	.long	1072356328
	.long	605614080
	.long	1069968077
	.long	828390818
	.long	1072344861
	.long	3966144512
	.long	1070022904
	.long	1070815399
	.long	1072333542
	.long	4112183296
	.long	1070077376
	.long	4010374027
	.long	1072322368
	.long	1425440768
	.long	1070131497
	.long	2427144999
	.long	1072311338
	.long	49823744
	.long	1070185270
	.long	328463057
	.long	1072300448
	.long	472645632
	.long	1070238701
	.long	618347547
	.long	1072289695
	.long	1543622656
	.long	1070291793
	.long	96973200
	.long	1072279077
	.long	3434921984
	.long	1070344551
	.long	4070034991
	.long	1072268590
	.long	3578290176
	.long	1070396981
	.long	4003744629
	.long	1072258234
	.long	877051904
	.long	1070449085
	.long	2649180216
	.long	1072248006
	.long	3100631040
	.long	1070500865
	.long	795300582
	.long	1072237903
	.long	3222769664
	.long	1070552329
	.long	2399131549
	.long	1072227922
	.long	304068608
	.long	1070599788
	.long	2680946812
	.long	1072218062
	.long	244568064
	.long	1070625208
	.long	3669934862
	.long	1072208320
	.long	2659610624
	.long	1070650475
	.long	2854426619
	.long	1072198695
	.long	860606464
	.long	1070675591
	.long	2897451528
	.long	1072189184
	.long	1730365440
	.long	1070700557
	.long	3898949205
	.long	1072179785
	.long	3771498496
	.long	1070725375
	.long	2515796576
	.long	1072170497
	.long	3613616128
	.long	1070750047
	.long	1675666217
	.long	1072161317
	.long	152348672
	.long	1070774576
	.long	2010953133
	.long	1072152243
	.long	272850944
	.long	1070798962
	.long	1737958850
	.long	1072143274
	.long	1844189184
	.long	1070823206
	.long	4061595223
	.long	1072134407
	.long	4222562304
	.long	1070847311
	.long	3688239884
	.long	1072125642
	.long	3811565568
	.long	1070871278
	.long	22001259
	.long	1072041984
	.long	2437045052
	.long	1014891116
	.long	55424149
	.long	1072050176
	.long	1207983425
	.long	1015922666
	.long	227857528
	.long	1072058368
	.long	2262214071
	.long	1015971751
	.long	122580909
	.long	1072066560
	.long	1800676684
	.long	1013054698
	.long	4276031406
	.long	1072074751
	.long	1280904957
	.long	-1132691929
	.long	123979196
	.long	1072082944
	.long	1222433281
	.long	-1131757208
	.long	509395446
	.long	1072091136
	.long	2638844689
	.long	1015234332
	.long	3943036478
	.long	1072099327
	.long	451030355
	.long	-1132560380
	.long	243701632
	.long	1072107520
	.long	1896446290
	.long	1014759270
	.long	4234668306
	.long	1072115711
	.long	649955108
	.long	1015808226
	.long	3749777770
	.long	1072123903
	.long	1861288402
	.long	-1133641071
	.long	258448528
	.long	1072132096
	.long	3444874356
	.long	-1134035855
	.long	4202612789
	.long	1072140287
	.long	2666857603
	.long	1015135937
	.long	4263559910
	.long	1072148479
	.long	701260901
	.long	-1133478377
	.long	3980380416
	.long	1072156671
	.long	142314268
	.long	-1132429198
	.long	3911588470
	.long	1072164863
	.long	1839069614
	.long	1015922728
	.long	77374440
	.long	1072173056
	.long	1373981747
	.long	1015644114
	.long	395521167
	.long	1072181248
	.long	3056661377
	.long	-1131741463
	.long	104035228
	.long	1072189440
	.long	1801795004
	.long	1015660479
	.long	541231558
	.long	1072197632
	.long	4078009205
	.long	-1131692187
	.long	3958733060
	.long	1072205823
	.long	2721958743
	.long	-1131872146
	.long	582747359
	.long	1072214016
	.long	954223370
	.long	-1132658465
	.long	3842775946
	.long	1072222207
	.long	1191157509
	.long	-1131937679
	.long	4237397571
	.long	1072230399
	.long	3497685048
	.long	1015251323
	.long	519724999
	.long	1072238592
	.long	1994372099
	.long	1015627409
	.long	323386297
	.long	1072246784
	.long	1268253302
	.long	1014988878
	.long	3874359151
	.long	1072254975
	.long	3657392686
	.long	-1131446544
	.long	3728478929
	.long	1072263167
	.long	2519087290
	.long	-1133477206
	.long	4098198029
	.long	1072271359
	.long	2439293167
	.long	-1131970533
	.long	3717738046
	.long	1072279551
	.long	2321191735
	.long	-1131986720
	.long	3981048678
	.long	1072287743
	.long	3248218112
	.long	1010814472
	.long	552705105
	.long	1072295936
	.long	663247626
	.long	-1131790422
	.long	289779718
	.long	1072304128
	.long	2572737110
	.long	1014300488
	.long	129758970
	.long	1072312320
	.long	2318101784
	.long	1015856811
	.long	278338937
	.long	1072320512
	.long	3715660080
	.long	1015611082
	.long	502607432
	.long	1072328704
	.long	1037609947
	.long	-1131462282
	.long	475607890
	.long	1072336896
	.long	2227336722
	.long	-1131495678
	.long	709836363
	.long	1072345088
	.long	1023360863
	.long	-1133904636
	.long	3618512593
	.long	1072353279
	.long	311455924
	.long	-1132314905
	.long	3998286968
	.long	1072361471
	.long	3759070883
	.long	1013581374
	.long	3680832859
	.long	1072369663
	.long	941558457
	.long	1012532936
	.long	4272605783
	.long	1072377855
	.long	1948466205
	.long	-1132920546
	.long	3650468572
	.long	1072386047
	.long	1753623199
	.long	-1132855536
	.long	614360476
	.long	1072394240
	.long	3498463038
	.long	1015742277
	.long	4186379840
	.long	1072402431
	.long	2529346553
	.long	1014824567
	.long	3523529551
	.long	1072410623
	.long	4008848324
	.long	-1134297305
	.long	3527498821
	.long	1072418815
	.long	3996903969
	.long	-1133707337
	.long	4167240159
	.long	1072427007
	.long	2536377180
	.long	-1132379901
	.long	3786765907
	.long	1072435199
	.long	2495048217
	.long	1015791972
	.long	4059715555
	.long	1072443391
	.long	2368784109
	.long	-1134231825
	.long	3703563300
	.long	1072451583
	.long	3169601397
	.long	-1132183704
	.long	3981752823
	.long	1072459775
	.long	4032028908
	.long	1015316131
	.long	3952709589
	.long	1072467967
	.long	2381943537
	.long	1014203142
	.long	556081562
	.long	1072476160
	.long	1679298052
	.long	-1133970034
	.long	3717482140
	.long	1072484351
	.long	482863730
	.long	1015971518
	.long	3942499446
	.long	1072492543
	.long	2912913662
	.long	1015987769
	.long	379254827
	.long	1072500736
	.long	2830719601
	.long	1014332817
	.long	219150109
	.long	1072508928
	.long	1768998874
	.long	1015660944
	.long	3933802436
	.long	1072517119
	.long	3310943756
	.long	-1135079881
	.long	786204645
	.long	1072525312
	.long	1304497988
	.long	-1132494634
	.long	568099498
	.long	1072533504
	.long	2499632220
	.long	-1133216625
	.long	3630891651
	.long	1072541695
	.long	3307299198
	.long	1015840541
	.long	694961977
	.long	1072549888
	.long	3003101523
	.long	1015546270
	.long	3846476021
	.long	1072558079
	.long	3327315081
	.long	1013842130
	.long	3450599060
	.long	1072566271
	.long	539847122
	.long	-1132494016
	.long	3679635677
	.long	1072574463
	.long	3390769252
	.long	1014694081
	.long	4064417519
	.long	1072582655
	.long	2962533201
	.long	1014169512
	.long	3901382161
	.long	1072590847
	.long	2985279065
	.long	-1135085965
	.long	295632653
	.long	1072599040
	.long	1577830401
	.long	-1132167027
	.long	3752138564
	.long	1072607231
	.long	3577946293
	.long	1014497286
	.long	437419937
	.long	1072615424
	.long	1616272530
	.long	-1135607048
	.long	129678532
	.long	1072623616
	.long	1563813393
	.long	-1132117948
	.long	4118449410
	.long	1072631807
	.long	972001541
	.long	-1135609039
	.long	518359751
	.long	1072640000
	.long	4067627349
	.long	1015710124
	.long	4118951060
	.long	1072648191
	.long	3570911043
	.long	1015693121
	.long	4238953579
	.long	1072656383
	.long	479754357
	.long	-1134427404
	.long	3791242305
	.long	1072664575
	.long	4101498699
	.long	1014463953
	.long	3537953662
	.long	1072672767
	.long	2591859505
	.long	-1133575911
	.long	477619358
	.long	1072680960
	.long	1271835825
	.long	1014071790
	.long	4158702385
	.long	1072689151
	.long	24151898
	.long	-1133640393
	.long	4100284526
	.long	1072697343
	.long	1226574554
	.long	-1131774291
	.long	4085676632
	.long	1072705535
	.long	3288117984
	.long	-1130922135
	.long	4261154071
	.long	1072713727
	.long	885757019
	.long	1016578046
	.long	63786370
	.long	1072721920
	.long	3236189899
	.long	1015152771
	.long	4193438696
	.long	1072730111
	.long	3191305498
	.long	-1133641761
	.long	17619557
	.long	1072738304
	.long	2934318827
	.long	-1131331713
	.long	27579192
	.long	1072746496
	.long	2034802679
	.long	1015053818
	.long	4208655869
	.long	1072754687
	.long	1893100480
	.long	-1133050875
	.long	196803990
	.long	1072762880
	.long	2221738850
	.long	1015972052
	.long	4209374301
	.long	1072771071
	.long	1694316271
	.long	1016971258
	.long	232102617
	.long	1072779264
	.long	1880248494
	.long	1016725623
	.long	253842842
	.long	1072787456
	.long	3806584558
	.long	1015938553
	.long	4230435878
	.long	1072795647
	.long	3694883443
	.long	1016135728
	.long	306003033
	.long	1072803840
	.long	2147680648
	.long	1016692601
	.long	4163477175
	.long	1072812031
	.long	2879360103
	.long	-1134167758
	.long	4102738944
	.long	1072820223
	.long	2644990955
	.long	1016299455
	.long	210470564
	.long	1072828416
	.long	2449300258
	.long	1017086059
	.long	59065091
	.long	1072836608
	.long	3953114931
	.long	1016332226
	.long	4290573956
	.long	1072844799
	.long	2116955762
	.long	1014366695
	.long	4113113561
	.long	1072852991
	.long	1988037729
	.long	1015020731
	.long	345193020
	.long	1072861184
	.long	1006780715
	.long	-1133378870
	.long	341140243
	.long	1072869376
	.long	871505666
	.long	-1131249534
	.long	3959312955
	.long	1072877567
	.long	944758002
	.long	-1131872386
	.long	196652438
	.long	1072885760
	.long	1345339845
	.long	-1132069039
	.long	4219134639
	.long	1072893951
	.long	2287872157
	.long	-1132396431
	.long	4272709503
	.long	1072902143
	.long	1069004565
	.long	-1131282595
	.long	212232022
	.long	1072910336
	.long	579568317
	.long	1016430466
	.long	301725473
	.long	1072918528
	.long	3289241036
	.long	1015021754
	.long	4183371705
	.long	1072926719
	.long	766682961
	.long	-1131135075
	.long	81646146
	.long	1072934912
	.long	1886796001
	.long	1015381867
	.long	4122134871
	.long	1072943103
	.long	280957489
	.long	1014628922
	.long	3937448984
	.long	1072951295
	.long	1722897072
	.long	1016627053
	.long	355643380
	.long	1072959488
	.long	1595508004
	.long	1013446711
	.long	390564649
	.long	1072967680
	.long	1927041347
	.long	1015218662
	.long	3885347939
	.long	1072975871
	.long	3098708314
	.long	1015676777
	.long	3892606432
	.long	1072984063
	.long	2613244500
	.long	-1131036495
	.long	4017078759
	.long	1072992255
	.long	4063898226
	.long	1016807433
	.long	3854477060
	.long	1073000447
	.long	3205332293
	.long	-1131085897
	.long	386934750
	.long	1073008640
	.long	1910270525
	.long	-1130774428
	.long	267402978
	.long	1073016832
	.long	193286940
	.long	1016561545
	.long	316427217
	.long	1073025024
	.long	1902552118
	.long	1012925541
	.long	369436538
	.long	1073033216
	.long	3458413065
	.long	-1130971186
	.long	3973804108
	.long	1073041407
	.long	84255191
	.long	-1131871630
	.long	4016002217
	.long	1073049599
	.long	248079378
	.long	1016840166
	.long	400953362
	.long	1073057792
	.long	2175790992
	.long	1015578309
	.long	63520402
	.long	1073065984
	.long	180292800
	.long	-1130413816
	.long	491329980
	.long	1073074176
	.long	4213524265
	.long	-1130856150
	.long	3887626889
	.long	1073082367
	.long	2163042564
	.long	-1131118921
